GET/projects/api/v3/exchange-rates/{baseCurrency}.json

Get all exchange rates for a base currency

Retrieves all current exchange rates for the specified base currency from the Forex service.

Path Params

  • Name
    baseCurrency
    Type
    string
    required
    Description

    Three-letter ISO currency code (e.g., USD, EUR, GBP).

Responses

  • Code
    200
    Type
    object
    Schema
    Description
    200 OK
    ExchangeRatesResponse contains all exchange rates for a base currency.
  • Code
    400
    Type
    object
    Schema
    Description
    400 Bad Request
    ErrorResponse defines how []Error should be marshaled to JSON.
  • Code
    404
    Type
    object
    Schema
    Description
    404 Not Found
    ErrorResponse defines how []Error should be marshaled to JSON.
  • Code
    504
    Type
    object
    Schema
    Description
    504 Gateway Timeout
    ErrorResponse defines how []Error should be marshaled to JSON.

Examples

200 OK

ExchangeRatesResponse
{
  "baseCurrency": "string",
  "rates": [
    {
      "date": "2026-05-20",
      "fromCurrency": "string",
      "rate": 0,
      "toCurrency": "string"
    }
  ]
}